
#REM			             Anemometer
     				   Test Programme - TX Data
		 	     Version 1.1     29th December 2007 
		 	 		by Gill Adams
#ENDREM		  



	#picaxe 08M	


REM 	Gill NOTE:  This sensor is pulsed 3 times per rev,with rpm to kph conversion factor of 1/5.68


 	symbol pulses = w0		; total pulses in 'mode' seconds
	symbol volt = b8			; proxy, used as a line count through to PicLog.exe
	symbol mode = b10			; proxy, indicates seconds of wind speed sample through to PicLog.exe
	symbol WSpeed = b12		; wind speed in PicLog.exe
 
Run:						; Measure,calculate and record average wind speed over 5 Seconds	
	let mode = 5

	do 
	count 1, 5000, pulses
	let pulses = pulses * 50 / 71 				; convert pulses to kph
	let WSpeed = pulses						; extract data variable from word variable 'pulses'
	let volt = volt + 1						; line count 
	serout 4, t300, (85,85,85,"TW",volt,mode,WSpeed)	; data to TX module
	low 4
	loop 

END





























