#REM
				Anemometer
		   Test Programme - RX Data via GD-V6C module
			Version 1.		29th December 2007
				by Gill Adams
#ENDREM

	#picaxe 08M


 
 	symbol pulses = w0		; total pulses in 'mode' seconds
	symbol volt = b8			; proxy, used as a line count through to PicLog.exe
	symbol mode = b10			; proxy, indicates seconds of wind speed sample through to PicLog.exe
	symbol WSpeed = b12		; wind speed in PicLog.exe


Start:
	setint %00000100,%00000100			; set polled interrupt

Listen:
	pause 1000						; \
	high 1:pause 50					;  > flash LED
	low 1							; /
	goto Listen

interrupt:
	;high 1
	serin 2, t300, ("TW"),volt, mode, WSpeed 					; data in from RX module
	sertxd ("No.",#volt,"__",#mode,"-sec__",#WSpeed,"-kph",cr,lf)	; data out to PC via serial programming cable
	setint %00000100,%00000100							; reset polled interrupt
	return


END

	;sertxd ("[<V>", #Volt, "</V><S>", #WSpeed, "</S><M>", #mode, "</M>]")  ; Gizmo style _ for PicLog.exe

























